Bug 1000756 - [abrt] menu-cache-0.4.1-3.fc20: g_realloc: Process /usr/libexec/menu-cached was killed by signal 11 (SIGSEGV)
[abrt] menu-cache-0.4.1-3.fc20: g_realloc: Process /usr/libexec/menu-cached w...
Status: CLOSED DUPLICATE of bug 973855
Product: Fedora
Classification: Fedora
Component: menu-cache (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
abrt_hash:8def4e61f8831ffccec1ccc3c43...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-24 19:01 EDT by Moez Roy
Modified: 2013-11-14 09:27 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-14 09:27:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (27.99 KB, text/plain)
2013-08-24 19:01 EDT, Moez Roy
no flags Details
File: cgroup (159 bytes, text/plain)
2013-08-24 19:01 EDT, Moez Roy
no flags Details
File: core_backtrace (7.69 KB, text/plain)
2013-08-24 19:01 EDT, Moez Roy
no flags Details
File: dso_list (2.16 KB, text/plain)
2013-08-24 19:01 EDT, Moez Roy
no flags Details
File: environ (1.07 KB, text/plain)
2013-08-24 19:01 EDT, Moez Roy
no flags Details
File: exploitable (82 bytes, text/plain)
2013-08-24 19:01 EDT, Moez Roy
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-24 19:01 EDT, Moez Roy
no flags Details
File: maps (11.05 KB, text/plain)
2013-08-24 19:01 EDT, Moez Roy
no flags Details
File: open_fds (1.66 KB, text/plain)
2013-08-24 19:02 EDT, Moez Roy
no flags Details
File: proc_pid_status (1.05 KB, text/plain)
2013-08-24 19:02 EDT, Moez Roy
no flags Details
File: var_log_messages (663 bytes, text/plain)
2013-08-24 19:02 EDT, Moez Roy
no flags Details

  None (edit)
Description Moez Roy 2013-08-24 19:01:38 EDT
Version-Release number of selected component:
menu-cache-0.4.1-3.fc20

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/libexec/menu-cached
crash_function: g_realloc
executable:     /usr/libexec/menu-cached
kernel:         3.11.0-0.rc6.git4.1.fc21.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (7 frames)
 #3 g_realloc at gmem.c:169
 #4 g_string_maybe_expand at gstring.c:107
 #5 g_string_sized_new at gstring.c:132
 #6 g_io_channel_fill_buffer at giochannel.c:1500
 #7 g_io_channel_read_line_backend at giochannel.c:1787
 #8 g_io_channel_read_line at giochannel.c:1687
 #9 on_client_data_in at menu-cached.c:601

Potential duplicate: bug 980909
Comment 1 Moez Roy 2013-08-24 19:01:42 EDT
Created attachment 789970 [details]
File: backtrace
Comment 2 Moez Roy 2013-08-24 19:01:44 EDT
Created attachment 789971 [details]
File: cgroup
Comment 3 Moez Roy 2013-08-24 19:01:47 EDT
Created attachment 789972 [details]
File: core_backtrace
Comment 4 Moez Roy 2013-08-24 19:01:49 EDT
Created attachment 789973 [details]
File: dso_list
Comment 5 Moez Roy 2013-08-24 19:01:51 EDT
Created attachment 789974 [details]
File: environ
Comment 6 Moez Roy 2013-08-24 19:01:54 EDT
Created attachment 789975 [details]
File: exploitable
Comment 7 Moez Roy 2013-08-24 19:01:56 EDT
Created attachment 789976 [details]
File: limits
Comment 8 Moez Roy 2013-08-24 19:01:59 EDT
Created attachment 789977 [details]
File: maps
Comment 9 Moez Roy 2013-08-24 19:02:01 EDT
Created attachment 789978 [details]
File: open_fds
Comment 10 Moez Roy 2013-08-24 19:02:03 EDT
Created attachment 789979 [details]
File: proc_pid_status
Comment 11 Moez Roy 2013-08-24 19:02:06 EDT
Created attachment 789980 [details]
File: var_log_messages
Comment 12 Adam Williamson 2013-11-06 00:15:17 EST
You did not provide any reproduction information for this crash, and I've never seen it. Why would it constitute a blocker?
Comment 13 Vincent Danen 2013-11-06 12:26:55 EST
Client crashes are not typically regarded as security flaws if the only issue is a crash.  Removing the security bits.
Comment 14 Mike Ruckman 2013-11-06 12:40:45 EST
Discussed in 2013-11-06 Blocker Review Meeting [1]. Voted a RejectedBlocker because all [2] these crashes (reported by abrt) don't have reproducers and aren't in crucial components. Please re-propose them later when reproducers are known and we can reconsider blocker status.

[1] http://meetbot.fedoraproject.org/fedora-blocker-review/2013-11-06/
[2] bug 1000669 bug 1000752 bug 1000756 bug 1007121 bug 1015347 bug 1016935
Comment 15 Moez Roy 2013-11-07 04:26:37 EST
(In reply to Adam Williamson from comment #12)
> You did not provide any reproduction information for this crash, and I've
> never seen it. Why would it constitute a blocker?

It happens on LXDE desktop. Work on it for a while and you get this crash.
Comment 16 Adam Williamson 2013-11-07 04:39:24 EST
Bugs in desktops other than GNOME and KDE cannot block release, per policy.
Comment 17 Christoph Wickert 2013-11-14 09:27:24 EST

*** This bug has been marked as a duplicate of bug 973855 ***

Note You need to log in before you can comment on or make changes to this bug.